#include <bits/stdc++.h>
using namespace std;
long long t,u,b,g,niz[199999999],x,y,zbir;
long long fakt(long long a){
    return a*(a+1)/2;
}
int main (){
    cin>>t;
    for(int i=1; i<=t; i++){
        x=0;
        y=0;
        zbir=0;
        memset(niz,0,sizeof(niz));
        cin>>u>>b>>g;
        if(u==g and g<=b){
        cout<<"Tak"<<endl;
    }
    else{
        x=u/g;
        y=u%g;
        if(y>0){
        for(int k=1; k<=y; k++){
                niz[k]++;
        }
        }
    for(int j=1; j<=g; j++){
                      niz[j]+=x;
    }
    for(int j=1; j<=g; j++){
        zbir+=fakt(niz[j]);
    }
    if(zbir<=b and u>g){
        cout<<"Tak"<<endl;
    }
    else{
        cout<<"Nie"<<endl;
    }
    }
    }

return 0;
}